import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data";
import {GrowCardItem} from "@/views/dashboard/analysis/data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    businessId: 100,
    treeName: '全选',
    anotherName: '全选',
    parentId: 0,
  },
  {
    businessId: 201,
    treeName: '共享工作区',
    anotherName: '共享工作区',
    parentId: 100,
  },
  {
    businessId: 202,
    treeName: '商城工作区',
    anotherName: '商城工作区',
    parentId: 100,
  },
  {
    businessId: 203,
    treeName: 'admin个人工作区',
    anotherName: 'admin个人工作区',
    parentId: 100,
  },
];

/**主页面列表 数据*/
export const tableData: any[] =[
  {
    businessId:'1',
    taskName: 'wirp-322',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'KUNDB',
    owner: 'admin',
    taskVersion: '5.0',
    taskStatus: '运行中',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'2',
    taskName: 'WARP-108477',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'KUNDB',
    owner: 'admin',
    taskVersion: '4.0',
    taskStatus: '运行中',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'3',
    taskName: 'test8988',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'KUNDB',
    owner: 'admin',
    taskVersion: '2.0',
    taskStatus: '运行中',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'4',
    taskName: 'test start slowly',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'KUNDB',
    owner: 'admin',
    taskVersion: '2.0',
    taskStatus: '运行中',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'5',
    taskName: 'gd',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'MYSQL',
    owner: 'admin',
    taskVersion: '1.0',
    taskStatus: '运行中',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'6',
    taskName: 'dffhjg',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'MYSQL',
    owner: 'admin',
    taskVersion: '2.0',
    taskStatus: '运行中',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'7',
    taskName: 'pc-8712',
    startTime: '2024-01-01 08:00:00',
    source: 'KUNDB',
    target: 'MYSQL',
    owner: 'admin',
    taskVersion: '1.0',
    taskStatus: '初始化',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'8',
    taskName: '忽略通知',
    startTime: '2024-01-01 08:00:00',
    source: 'MYSQL',
    target: 'MYSQL',
    owner: 'admin',
    taskVersion: '2.0',
    taskStatus: '失败',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
  {
    businessId:'9',
    taskName: 'pg2',
    startTime: '2024-01-01 08:00:00',
    source: 'POSTGRE_SQL',
    target: 'MYSQL',
    owner: 'admin',
    taskVersion: '1.0',
    taskStatus: '停止',
    latency: '0.00s',
    dataCheckDifference24h: '是',
    latestEventTime: '2024-01-01 08:10:00',
    unhandledExceptions: '37439',
    ddl: '0'
  },
]
/**详情页列表 数据*/
export const detailTableData: any[] =[
  {
    businessId:'1',
    checkBatch:'2023-06-21 19:25:00',
    statisticalTime:'2023-06-21 19:27:32',
    sourceParseCount:'4',
    kafkaWriteCount:'4',
    kafkaConsumeCount:'4',
    targetWriteCount:'0',
    syncPoint:'5902430'
  },
  {
    businessId:'2',
    checkBatch:'2023-06-21 19:21:00',
    statisticalTime:'2023-06-21 19:21:55',
    sourceParseCount:'3',
    kafkaWriteCount:'1',
    kafkaConsumeCount:'2',
    targetWriteCount:'0',
    syncPoint:'5902123'
  },
  {
    businessId:'3',
    checkBatch:'2023-06-21 19:23:05',
    statisticalTime:'2023-06-21 19:23:45',
    sourceParseCount:'2',
    kafkaWriteCount:'3',
    kafkaConsumeCount:'4',
    targetWriteCount:'0',
    syncPoint:'5912530'
  },
  {
    businessId:'4',
    checkBatch:'2023-06-21 19:21:01',
    statisticalTime:'2023-06-21 19:21:10',
    sourceParseCount:'1',
    kafkaWriteCount:'4',
    kafkaConsumeCount:'3',
    targetWriteCount:'0',
    syncPoint:'5902340'
  },
  {
    businessId:'5',
    checkBatch:'2023-06-21 19:22:23',
    statisticalTime:'2023-06-21 19:22:55',
    sourceParseCount:'2',
    kafkaWriteCount:'2',
    kafkaConsumeCount:'2',
    targetWriteCount:'1',
    syncPoint:'5984530'
  },
  {
    businessId:'6',
    checkBatch:'2023-06-21 19:23:05',
    statisticalTime:'2023-06-21 19:23:35',
    sourceParseCount:'4',
    kafkaWriteCount:'4',
    kafkaConsumeCount:'4',
    targetWriteCount:'0',
    syncPoint:'5862330'
  },
  {
    businessId:'7',
    checkBatch:'2023-06-21 19:25:00',
    statisticalTime:'2023-06-21 19:25:00',
    sourceParseCount:'2',
    kafkaWriteCount:'3',
    kafkaConsumeCount:'1',
    targetWriteCount:'1',
    syncPoint:'5912330'
  },

]
/**详情页列表 数据2*/
export const detailTableData2: any[] =[
  {
    businessId:'1',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
  {
    businessId:'2',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
  {
    businessId:'3',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
  {
    businessId:'4',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'源端任务启动',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
  {
    businessId:'5',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'目标端任务启动',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
  {
    businessId:'6',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'源端任务暂停',
    involvedTopic:'-',
    involvedTable:'-',
     syncPoint:'8886241'
  },
  {
    businessId:'7',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'状态切换',
    eventName:'目标端任务暂停',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
  {
    businessId:'8',
    reviewTime:'2023-06-26 11:48:42',
    eventType:'策略告警',
    eventName:'目标端任务暂停',
    involvedTopic:'-',
    involvedTable:'-',
    syncPoint:'8886241'
  },
]
/**详情页列表 数据3*/
export const detailTableData3: any[] =[
  {
    indexNumber: '18471',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18470',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18469',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18468',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18467',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18466',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18465',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18464',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '未处理'
  },
  {
    indexNumber: '18463',
    occurrenceTime: '2024-11-22 15:30:00',
    dataTime: '2024-11-22 15:00:00',
    exceptionType: '数据写入异常',
    involvedTopic: '4063873897d67ad56s8d6as86',
    involvedTable: 'wuqi_performance_t...',
    involvedOperation: 'C',
    syncPoint: 'mysql-bin.000202,6...',
    processingStatus: '更新成功'
  },
]
/**详情页列表 数据4*/
export const detailTableData4: any[] =[
  {
    businessId: '1',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V3',
    ddlType: '删除字段',
    status: '未处理',
    processingType: '-'
  },
  {
    businessId: '2',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V1',
    ddlType: '新增字段',
    status: '处理成功',
    processingType: '-'
  },
  {
    businessId: '3',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V3',
    ddlType: '删除字段',
    status: '已忽略',
    processingType: '自动'
  },
  {
    businessId: '4',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V1',
    ddlType: '删除字段',
    status: '处理失败',
    processingType: '手动'
  },
  {
    businessId: '5',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V3',
    ddlType: '字段重命名',
    status: '未处理',
    processingType: '-'
  },
  {
    businessId: '6',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V1',
    ddlType: '删除字段',
    status: '未处理',
    processingType: '自动'
  },
  {
    businessId: '7',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V3',
    ddlType: '新增字段',
    status: '未处理',
    processingType: '手动'
  },
  {
    businessId: '8',
    eventTime: '2024-11-22 15:30:00',
    updateTime: '2024-11-22 16:00:00',
    sourceInvolvedTable: 'gxx.gxx3',
    taskVersionAtDdl: 'V1',
    ddlType: '删除字段',
    status: '未处理',
    processingType: '-'
  },
]
/**详情页列表 数据5*/
export const detailTableData5: any[] =[
  {
    fieldName:'id',
    fieldType:'INT',
  },
  {
    fieldName:'age',
    fieldType:'INT',
  },
  {
    fieldName:'person_name',
    fieldType:'VARCHAR(100)',
  },
  {
    fieldName:'address',
    fieldType:'VARCHAR(100)',
  },
  {
    fieldName:'city',
    fieldType:'VARCHAR(100)',
  },
  {
    fieldName:'school',
    fieldType:'VARCHAR(100)',
  },
]
/**详情页列表 数据6*/
export const detailTableData6: any[] =[
  {
    fieldName:'id',
    fieldType:'INT',
  },
  {
    fieldName:'age',
    fieldType:'INT',
  },
  {
    fieldName:'person_name',
    fieldType:'VARCHAR(100)',
  },
  {
    fieldName:'address',
    fieldType:'VARCHAR(100)',
  },
  {
    fieldName:'city',
    fieldType:'VARCHAR(100)',
  },
  {
    fieldName:'-',
    fieldType:'-',
  },
]
/**详情页-列表 数据7*/
export const detailTableData7: any[] =[
  {
    importTime:'2024/01/23 20:54:34',
    fileName:'taskone.xlsx',
    createBy:'admin',
    importState:'导入成功',
    importInfo:'-'
  },
  {
    importTime:'2024/01/15 20:50:34',
    fileName:'task1.xlsx',
    createBy:'admin',
    importState:'导入成功',
    importInfo:'-'
  },
  {
    importTime:'2024/01/12 20:45:34',
    fileName:'task2.xlsx',
    createBy:'admin',
    importState:'导入成功',
    importInfo:'-'
  },
  {
    importTime:'2024/01/10 20:23:34',
    fileName:'task3.xlsx',
    createBy:'admin',
    importState:'导入成功',
    importInfo:'-'
  },
  {
    importTime:'2024/01/5 20:47:34',
    fileName:'task4.xlsx',
    createBy:'admin',
    importState:'导入成功',
    importInfo:'-'
  },
]
/**详情页-列表 数据8*/
export const detailTableData8: any[] =[
  {
    handleTime:'2024-01-26 15:51:36',
    handleType:'自动',
    handleTaskVersion:'9.0',
    handleResult:'处理失败',
    SQL:'',
    log:''
  },
]

